/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
04/2016 - ARDUINO IDE C

This program demonstrates how Arduino IDE can be used to program the Brainbox Arduino - based on the Arduino Leonardo
This program makes minimal use of the Arduino libraries. This brings you closer to real embedded programming.

The Pinout diagram of the BBA (www.e2cre8.be) visualizes the relation between the Arduino pin names and the real pin names

This program 'reads' the level of the input pin F0 (Arduino pin 23). When this pin is high, the siren will sound with a 500Hz signal - 
when it is low - the siren will sound with a 1KHz signal
The siren is a buzzer that is connected to pin E6

These programs are used in school environments and the C code is kept low level for that reason

 */

void setup() {
  // put your setup code here, to run once:
  DDRF = 0b00000000; // pin F0 (ARduino pin 23) is digital input (all pins of portF are digital inputs...)
  DDRE = 0b01000000; // pin E6  (ARduino pin 7) connected to buzzer = output pin
}

void loop() {
  // put your main code here, to run repeatedly:
    
    if (PINF & 0b00000001) // when the input of F0 is high (we used a mask to only look at pin 0 of port F)
      {
      PORTE = 0b01000000;     // make pin E6 high
      _delay_ms(1);       //wait
      PORTE = 0b00000000;     // make pin E6 low
      _delay_ms(1);       //wait
      }
      
    else // when the input of F0 is low
      {
        PORTE = 0b01000000;     // make pin E6 high
        _delay_us(500);       //wait
        PORTE = 0b00000000;     // make pin E6 low
        _delay_us(500);       //wait
      }
}
